Skip to navigation

Get optimization progress

Get progress of ongoing and completed optimizations for a collection

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection

Query parameters

withstringOptional

Comma-separated list of optional fields to include in the response. Possible values: queued, completed, idle_segments.

completed_limitintegerOptional>=0Defaults to 16

Maximum number of completed optimizations to return. Ignored if completed is not in the with parameter.

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultobjectOptional
Optimizations progress for the collection

Errors

4XX
Client Request Error